<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/> 

<xsl:template match="bib:bibliografia">
	<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" color="navy" font-weight="bold" id="s4.1" keep-with-next="always">4.1 - Bibliografia essencial</fo:block>
	<fo:list-block provisional-distance-between-starts="30mm" provisional-label-separation="10mm">
		<xsl:apply-templates select="bib:bibitem[@tipo='essencial']">
			<xsl:sort select="bib:ttulo" order="ascending"/>
		</xsl:apply-templates>
	</fo:list-block>
	<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="15pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" color="navy" font-weight="bold" id="s4.2" keep-with-next="always">4.2 - Bibliografia complementar</fo:block>
	<fo:list-block provisional-distance-between-starts="30mm" provisional-label-separation="10mm">
		<xsl:apply-templates select="bib:bibitem[@tipo='complementar']">
			<xsl:sort select="bib:ttulo" order="ascending"/>
		</xsl:apply-templates>
	</fo:list-block>
</xsl:template>

	
<xsl:template match="bib:bibitem">
	<fo:list-item space-after.optimum="10pt">
		<fo:list-item-label end-indent="label-end()">
			<fo:block font-weight="bold">[<xsl:value-of select="bib:chave"/>]</fo:block>
		</fo:list-item-label>
		<fo:list-item-body start-indent="body-start()">
		<fo:block  font-size="12pt" font-family="sans-serif" line-height="15pt" space-before.optimum="6pt" space-after.optimum="6pt" text-align="start">
			<fo:block>
				<xsl:apply-templates select="bib:autores"/>
				<xsl:apply-templates select="bib:ttulo"/> ,
				<xsl:if test="bib:edio">
					<xsl:apply-templates select="bib:edio"/> ,
				</xsl:if>
				<xsl:apply-templates select="bib:editora"/> , 
				<xsl:apply-templates select="bib:data"/>.
				<xsl:if test="bib:ISBN">
					<xsl:apply-templates select="bib:ISBN"/>
				</xsl:if>
				<xsl:if test="bib:endereo">
					<xsl:apply-templates select="bib:endereo"/>
				</xsl:if>
			</fo:block>
			<xsl:if test="bib:resumo">
				<fo:block>
					<xsl:apply-templates select="bib:resumo"/>
				</fo:block>
			</xsl:if>
		</fo:block>	
		</fo:list-item-body>
	</fo:list-item>
</xsl:template>

<xsl:template match="bib:ttulo">
	<fo:inline font-weight="bold"><xsl:value-of select="."/></fo:inline> 
</xsl:template>
	
<xsl:template match="bib:autor">
	<fo:inline font-style="italic"><xsl:value-of select="."/></fo:inline>,
</xsl:template>

<xsl:template match="bib:ISBN">
	<fo:block>ISBN :	<xsl:value-of select="."/></fo:block>
</xsl:template>

<xsl:template match="bib:edio">
	<xsl:value-of select="."/> Edio
</xsl:template>
	
<xsl:template match="bib:endereo">
	<fo:block>
		URL : 
		<fo:basic-link external-destination="{@url}"  text-decoration="underline" color="blue">
			<xsl:if test="@legenda">
				<xsl:value-of select="@legenda"/>
			</xsl:if>
			<xsl:if test="not(@legenda)">
				<xsl:value-of select="@url"/>
			</xsl:if>
		</fo:basic-link>
	</fo:block>
</xsl:template>
	
</xsl:stylesheet>



