<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:import href="modulo.xsl"/>
	<xsl:output indent="yes" method="html" encoding="ISO-8859-1" omit-xml-declaration="yes"/>
	
	<xsl:template match="bib:bibliografia">
		<center>
			<font color="navy">
				<a name="topo"><h2>Bibliografia</h2></a>
			</font>
		<hr/>
		<h5>
			<a href="#be">Bibliografia essencial</a><xsl:text>   |  </xsl:text><a href="#bc">Bibliografia complementar</a>
		</h5>
		</center>
		<font color="navy">
		<h3>
			<u><a name="indice">ndice</a></u>
		</h3>
		</font>
		<ul>
		<xsl:apply-templates mode="indice" select="bib:bibitem">
			<xsl:sort select="bib:ttulo" order="ascending"/>
		</xsl:apply-templates>
		</ul>
		<hr/>
		<br/>
		<br/>
		<font color="navy">
			<h3>
				<u><a name="be">Bibliografia essencial</a></u>
			</h3>
		</font>
		<br/>
		<dl>
			<xsl:apply-templates select="bib:bibitem[@tipo='essencial']">
				<xsl:sort select="bib:ttulo" order="ascending"/>
			</xsl:apply-templates>
		</dl>
		<br/>
		<h5><a href="#topo">Topo...</a></h5>
		<hr/>
		<br/>
		<br/>
		<font color="navy">
			<h3>
				<u><a name="bc">Bibliografia complementar</a></u>
			</h3>
		</font>
		<br/>
		<dl>
			<xsl:apply-templates select="bib:bibitem[@tipo='complementar']">
				<xsl:sort select="bib:ttulo" order="ascending"/>
			</xsl:apply-templates>
		</dl>
		<br/>
		<h5><a href="#topo">Topo...</a></h5>
	<hr/>
</xsl:template>

	<!-- Gerao do ndice -->
	
	<xsl:template match="bib:bibitem" mode="indice">
		<li>
			<a href="#{generate-id()}">
				<xsl:value-of select="bib:ttulo"/>
			</a>
		</li>
	</xsl:template>

	<!-- Gerao do contedo -->
	
	<xsl:template match="bib:bibitem">
		<dt>
			<a name="{generate-id()}">
				<b>[<xsl:value-of select="bib:chave"/>]</b>
			</a>
		</dt>
		<dd>
			<p>
				<xsl:apply-templates select="bib:autores"/>
				<xsl:apply-templates select="bib:ttulo"/> ,
				  <xsl:if test="bib:edio">
					<xsl:apply-templates select="bib:edio"/> , </xsl:if>
				<xsl:apply-templates select="bib:editora"/> , 
				  <xsl:apply-templates select="bib:data"/> .<br/>
				<xsl:if test="bib:ISBN">
					<xsl:apply-templates select="bib:ISBN"/>
				</xsl:if>
				<xsl:if test="bib:endereo">
					<xsl:apply-templates select="bib:endereo"/>
				</xsl:if>
			</p>
			<xsl:if test="bib:resumo">
				<p>
					<xsl:apply-templates select="bib:resumo"/>
				</p>
			</xsl:if>
		</dd>
		<h6>[<a href="#indice">Indice</a>]</h6>
	</xsl:template>

	<xsl:template match="bib:ttulo">
		<b>
			<xsl:value-of select="."/>
		</b>
	</xsl:template>
	
	<xsl:template match="bib:autor">
		<i>
			<xsl:value-of select="."/>
		</i> ,
	</xsl:template>

	<xsl:template match="bib:ISBN">
		<font size="3"> ISBN :	<xsl:value-of select="."/></font> 
	</xsl:template>

	<xsl:template match="bib:edio">
		<xsl:value-of select="."/> Edio
	</xsl:template>
	
	<xsl:template match="bib:endereo">
		<font size="3">
		URL : 
		<a href="{@url}">
			<xsl:if test="@legenda">
				<xsl:value-of select="@legenda"/>
			</xsl:if>
			<xsl:if test="not(@legenda)">
				<xsl:value-of select="@url"/>
			</xsl:if>
		</a>
		</font>	
	</xsl:template>
	
</xsl:stylesheet>
