<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:import href="modulo.xsl"/>
	<xsl:output indent="yes" method="html" encoding="ISO-8859-1" omit-xml-declaration="yes"/>
	
	<xsl:key name="i-docentes" match="/dos:dossier/dos:apresentao/dos:equipa-docente/dos:docente" use="@id"/>
	
	<xsl:template match="dos:identificao" mode="cab">
		<table align="center" width="100%">
			<tbody>
				<tr>
					<td align="left" valign="top" width="15%">
						<xsl:apply-templates select="dos:instituio" mode="cab"/>
					</td>
					<td align="left" valign="top" width="15%">
						<xsl:apply-templates select="dos:escola" mode="cab"/>
						<xsl:apply-templates select="dos:departamento" mode="cab"/>
					</td>
					<td align="right" width="70%">
						<font color="navy">
							<i>
								<font size="4" >
									<b>
										<xsl:value-of select="dos:designao"/> 
									</b>
								</font>
								<br/>
								<font size="2">
									<xsl:apply-templates select="dos:turmas" mode="cab"/>
									<br/>
					Docente responsvel: <xsl:value-of select="key('i-docentes',dos:responsvel-ref/@ref)/dos:nome"/>
									<br/>
					Ano lectivo de <xsl:value-of select="dos:ano-lectivo/dos:ano[1]"/>/<xsl:value-of select="dos:ano-lectivo/dos:ano[2]"/>
									<xsl:if test="dos:semestre"> - <xsl:value-of select="dos:semestre"/> semestre</xsl:if>
								</font>
							</i>
						</font>
					</td>
				</tr>
			</tbody>
		</table>
		<img src="../imagens/largo_paco.jpg" alt="Largo do Pao - sculo XVI" height="50" width="100%"/>
	</xsl:template>
	
	<xsl:template match="dos:instituio" mode="cab">
		<xsl:if test="dos:figura">
			<img src="{dos:figura/@path}" height="75" alt="{dos:nome}"/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="dos:escola|dos:departamento" mode="cab">
		<xsl:if test="dos:figura">
			<img src="{dos:figura/@path}" height="45" alt="{dos:nome}"/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="dos:turmas" mode="cab">
		<xsl:for-each select="dos:turma">
			<xsl:value-of select="dos:curso"/> (<xsl:value-of select="dos:ano-curso"/> ano)
			<xsl:if test="count(following-sibling::dos:turma) &gt; 0"> 	+ </xsl:if>
		</xsl:for-each>
	</xsl:template>
	
</xsl:stylesheet>
