<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/> 

<xsl:template match="dos:identificao" mode="capa">
	<fo:block font-size="21pt" font-family="sans-serif" line-height="30pt" space-after.optimum="15pt" text-align="center" padding-top="3pt" font-weight="bold">DOSSIER DA DISCIPLINA
	</fo:block>	
	<fo:block font-size="18pt" font-family="sans-serif" line-height="24pt" space-after.optimum="10pt" text-align="center" padding-top="3pt" font-variant="small-caps"><xsl:value-of select="dos:designao"/> 
	</fo:block>
	<fo:block text-align="center" font-family="sans-serif" space-after.optimum="5pt" padding-top="3pt"><fo:external-graphic src="http://www.di.uminho.pt/IMAGES/di-um.gif" height="5cm"/></fo:block>
	<fo:block font-size="12pt" font-family="sans-serif" line-height="15pt" space-before.optimum="15pt" text-align="center">
		<fo:block><xsl:apply-templates select="dos:turmas" mode="capa"/></fo:block>
		<fo:block>Docente responsvel: <xsl:value-of select="key('i-docentes',dos:responsvel-ref/@ref)/dos:nome"/></fo:block>
		<fo:block>Ano lectivo de <xsl:value-of select="dos:ano-lectivo/dos:ano[1]"/>/<xsl:value-of select="dos:ano-lectivo/dos:ano[2]"/><xsl:if test="dos:semestre"> - <xsl:value-of select="dos:semestre"/> semestre</xsl:if></fo:block>
	</fo:block>	
</xsl:template>	

<xsl:template match="dos:turmas" mode="capa">
	<xsl:for-each select="dos:turma">
		<xsl:value-of select="dos:curso"/> (<xsl:value-of select="dos:ano-curso"/> ano)
		<xsl:if test="count(following-sibling::dos:turma) &gt; 0"> + </xsl:if>
	</xsl:for-each>
</xsl:template>
		
</xsl:stylesheet>