<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:import href="modulo.xsl"/>
	<xsl:output indent="yes" method="html" encoding="ISO-8859-1" omit-xml-declaration="yes"/>
	
	<xsl:key name="i-turnos" match="/dos:dossier/dos:apresentao/dos:turnos/dos:turno" use="@id"/>

	<xsl:template match="dos:equipa-docente">
		<center>
			<font color="navy">
				<a name="topo"><h2>Equipa docente e Horrios</h2></a>
			</font>
		<hr/>
		<h5>
			 <a href="#eqdoc">Docentes</a><xsl:text>   |   </xsl:text><a href="#hor">Hrarios</a>
		</h5>
		</center>
		<font color="navy">
			<h3><a name="eqdoc"><u>Docentes</u></a></h3>
		</font>
		<br/>
		<ul>
		<table width="100%" cellpadding="3" >
			<tbody>
				<xsl:apply-templates select="dos:docente[@responsvel='sim']"/>
				<xsl:apply-templates select="dos:docente[@responsvel='no']"/>
			</tbody>
		</table>
		</ul>
		<h5><a href="#topo">Topo...</a></h5>
		<hr/>
		<br/>
		<br/>
		<font color="navy">
			<h3><a name="hor"><u>Horrios</u></a></h3>
		</font>
		<br/>
		<ul>
			<xsl:apply-templates select="dos:docente/dos:horrios"/>
		</ul>
		<h5><a href="#topo">Topo...</a></h5>
		<hr/>	
	</xsl:template>

	<xsl:template match="dos:docente">
		<tr valign="middle"><a name="{@id}"/>
			<xsl:if test="dos:foto">
				<td valign="top" align="center" width="30%">
					<img src="{dos:foto/@path}" height="110" alt="{dos:foto/@path} "/>
				</td>
			</xsl:if>
			<xsl:if test="not(dos:foto)">
				<td>
					<a href="#H{@id}">Horrio</a>
				</td>
			</xsl:if>
			<td valign="top" align="left" width="70%">
				<b>
				<font size="+1">
					<xsl:value-of select="dos:nome"/>
				</font>
				</b>
				<xsl:if test="dos:cdigo"> (<xsl:value-of select="dos:cdigo"/>)</xsl:if>
				<br/>
				<xsl:if test="@responsvel='sim'">Responsvel pela disciplina<br/></xsl:if>
				<xsl:if test="dos:categoria">
					<xsl:value-of select="dos:categoria"/>
					<br/>
				</xsl:if>
				<xsl:if test="dos:departamento">
					<xsl:apply-templates select="dos:departamento" mode="docentes"/>	
					<br/>
				</xsl:if>
				<xsl:if test="dos:escola">
					<xsl:apply-templates select="dos:escola" mode="docentes"/>
					<br/>
				</xsl:if>
				<xsl:if test="dos:instituio">
					 <xsl:apply-templates select="dos:instituio" mode="docentes"/>
					 <br/>
				</xsl:if>
				<xsl:if test="dos:contactos">
					<xsl:if test="dos:contactos/dos:telefone">Tel. : <xsl:value-of select="dos:contactos/dos:telefone"/>
						<br/>
					</xsl:if>
					<xsl:if test="dos:contactos/dos:fax">Fax : <xsl:value-of select="dos:contactos/dos:fax"/>
						<br/>
					</xsl:if>
					<xsl:if test="dos:contactos/dos:gabinete">Gabinete : <xsl:value-of select="dos:contactos/dos:gabinete"/>
						<br/>
					</xsl:if>
					<xsl:if test="dos:contactos/dos:url">URL : <a href="{dos:contactos/dos:url}">
							<xsl:value-of select="dos:contactos/dos:url"/>
						</a>
						<br/>
					</xsl:if>
					<xsl:if test="dos:contactos/dos:email">Email : <a href="mailto:{dos:contactos/dos:email}">
							<xsl:value-of select="dos:contactos/dos:email"/>
						</a>
						<br/>
					</xsl:if>
				</xsl:if>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="dos:horrios">
		<xsl:variable name="doc" select="../dos:nome"/>
		<ul>
		<table border="1" cellpadding="1" width="80%">
			<tbody>
				<tr>
					<th width="20%">Turno</th>
					<th width="20%">Dia</th>
					<th width="20%">Hora</th>
					<th width="20%">Sala</th>
					<th width="20%">Docente</th>
				</tr>
				<xsl:for-each select="dos:horrio">
					<tr align="center">
						<td>
							<xsl:value-of select="key('i-turnos',dos:turno-ref/@ref)/dos:nome"/>
						</td>
						<td>
							<xsl:value-of select="dos:dia-semana"/>
						</td>
						<td>
							<xsl:value-of select="dos:horas/dos:inicio"/>h-<xsl:value-of select="dos:horas/dos:fim"/>h
						</td>
						<td>
							<xsl:value-of select="dos:sala"/>
						</td>
						<td>
							<xsl:value-of select="$doc"/>
						</td>
					</tr>
				</xsl:for-each>
			</tbody>
		</table>
		</ul>
		<br/>
	</xsl:template>
	
	<xsl:template match="dos:instituio|dos:escola|dos:departamento" mode="docentes">
		<xsl:choose>
			<xsl:when test="dos:url">
				<a href="{dos:url/@url}">
					<xsl:value-of select="dos:nome"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="dos:nome"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
