<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/> 


 <xsl:template match="dos:equipa-docente">
    <fo:block font-size="14pt" font-family="sans-serif" line-height="18pt" space-before.optimum="10pt" space-after.optimum="5pt" text-align="start"  color="navy" keep-with-next="always">Docentes</fo:block>
	<fo:block font-size="12pt" font-family="sans-serif" line-height="15pt" space-after.optimum="15pt" text-align="start">
		<fo:table table-layout="fixed" width="12cm">
			<fo:table-column column-number="1" column-width="5cm"/>
			<fo:table-column column-number="2" column-width="7cm"/>
			<fo:table-body>
				<xsl:apply-templates select="dos:docente[@responsvel='sim']"/>
				<xsl:apply-templates select="dos:docente[@responsvel='no']"/>
			</fo:table-body>
		</fo:table>
	</fo:block>
	<fo:block font-size="14pt" font-family="sans-serif" line-height="18pt" space-before.optimum="10pt" space-after.optimum="5pt" text-align="start"  color="navy" keep-with-next="always">Horrios</fo:block>
	<fo:block font-size="12pt" font-family="sans-serif" line-height="15pt" space-after.optimum="15pt" text-align="start">
		<xsl:apply-templates select="dos:docente/dos:horrios"/>	
	</fo:block>
 </xsl:template>

 <xsl:template match="dos:docente">
	<fo:table-row vertical-align="middle">
		<xsl:if test="dos:foto">
			<fo:table-cell vertical-align="top" text-align="center">
				<fo:block><fo:external-graphic src="{dos:foto/@path}"/></fo:block>
			</fo:table-cell>
		</xsl:if>
		<xsl:if test="not(dos:foto)">
			<fo:table-cell vertical-align="top" text-align="center">
				<fo:block></fo:block>
			</fo:table-cell>
		</xsl:if>
		<fo:table-cell vertical-align="top" text-align="left">
				<fo:block font-weight="bold"><xsl:value-of select="dos:nome"/><xsl:if test="dos:cdigo"> (<xsl:value-of select="dos:cdigo"/>)</xsl:if></fo:block>
				<xsl:if test="@responsvel='sim'"><fo:block>Responsvel pela disciplina</fo:block></xsl:if>
				<xsl:if test="dos:categoria"><fo:block><xsl:value-of select="dos:categoria"/></fo:block></xsl:if>
				<xsl:if test="dos:departamento">
					<fo:block>
						<xsl:choose>
							<xsl:when test="dos:departamento/dos:url">
								<fo:basic-link external-destination="{dos:departamento/dos:url/@url}"  text-decoration="underline" color="blue">
									<xsl:value-of select="dos:departamento/dos:nome"/>
								</fo:basic-link>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="dos:departamento/dos:nome"/>
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>
				</xsl:if>
				<xsl:if test="dos:escola">
					<fo:block>
						<xsl:choose>
							<xsl:when test="dos:escola/dos:url">
								<fo:basic-link external-destination="{dos:escola/dos:url/@url}"  text-decoration="underline" color="blue">
									<xsl:value-of select="dos:escola/dos:nome"/>
								</fo:basic-link>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="dos:escola/dos:nome"/>
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>
				</xsl:if>
				<xsl:if test="dos:instituio">
					<fo:block>
						<xsl:choose>
							<xsl:when test="dos:instituio/dos:url">
								<fo:basic-link external-destination="{dos:instituio/dos:url/@url}"  text-decoration="underline" color="blue">
									<xsl:value-of select="dos:instituio/dos:nome"/>
								</fo:basic-link>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="dos:instituio/dos:nome"/>
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>
				</xsl:if>
				<xsl:if test="dos:contactos">
					<xsl:if test="dos:contactos/dos:telefone"><fo:block>Tel. : <xsl:value-of select="dos:contactos/dos:telefone"/></fo:block></xsl:if>
					<xsl:if test="dos:contactos/dos:fax"><fo:block>Fax : <xsl:value-of select="dos:contactos/dos:fax"/></fo:block></xsl:if>
					<xsl:if test="dos:contactos/dos:gabinete"><fo:block>Gabinete : <xsl:value-of select="dos:contactos/dos:gabinete"/></fo:block></xsl:if>
					<xsl:if test="dos:contactos/dos:url"><fo:block>URL : <fo:basic-link external-destination="{dos:contactos/dos:url}"  text-decoration="underline" color="blue"><xsl:value-of select="dos:contactos/dos:url"/></fo:basic-link></fo:block></xsl:if>
					<xsl:if test="dos:contactos/dos:email"><fo:block>Email : <fo:basic-link external-destination="mailto:{dos:contactos/dos:email}"  text-decoration="underline" color="blue"><xsl:value-of select="dos:contactos/dos:email"/></fo:basic-link></fo:block></xsl:if>
				</xsl:if>	
		</fo:table-cell>
	</fo:table-row>
 </xsl:template>		
			
	<xsl:template match="dos:horrios">
		<xsl:variable name="doc" select="../dos:nome"/>
		<fo:table table-layout="fixed" width="15cm" border="1">
			<fo:table-column column-number="1" column-width="3cm"/>
			<fo:table-column column-number="2" column-width="3cm"/>
			<fo:table-column column-number="3" column-width="3cm"/>
			<fo:table-column column-number="4" column-width="3cm"/>
			<fo:table-column column-number="5" column-width="3cm"/>
			<fo:table-body>
				<fo:table-row text-align="center" font-weight="bold">
					<fo:table-cell border-style="solid">
						<fo:block>Turno</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid">
						<fo:block>Dia</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid">
						<fo:block>Hora</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid">
						<fo:block>Sala</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid">
						<fo:block>Docente</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<xsl:for-each select="dos:horrio">
					<fo:table-row text-align="center">
						<fo:table-cell border-style="solid">
							<fo:block><xsl:value-of select="key('i-turnos',dos:turno-ref/@ref)/dos:nome"/></fo:block>
						</fo:table-cell>
						<fo:table-cell border-style="solid">
							<fo:block><xsl:value-of select="dos:dia-semana"/></fo:block>
						</fo:table-cell>
						<fo:table-cell border-style="solid">
							<fo:block><xsl:value-of select="dos:horas/dos:inicio"/>h-<xsl:value-of select="dos:horas/dos:fim"/>h</fo:block>
						</fo:table-cell>
						<fo:table-cell border-style="solid">
							<fo:block><xsl:value-of select="dos:sala"/></fo:block>
						</fo:table-cell>
						<fo:table-cell border-style="solid">
							<fo:block><xsl:value-of select="$doc"/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>	
			</fo:table-body>
		</fo:table>
	</xsl:template>
	
</xsl:stylesheet>
