<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:import href="modulo.xsl"/>
	<xsl:import href="identificacao.xsl"/>
	<xsl:import href="turnos.xsl"/>
	<xsl:import href="docentes.xsl"/>
	<xsl:import href="material.xsl"/>
	<xsl:import href="elementosA.xsl"/>
	<xsl:import href="classificacoes.xsl"/>
	<xsl:import href="metodosA.xsl"/>
	<xsl:import href="programa.xsl"/>
	<xsl:import href="bibliografia.xsl"/>
	<xsl:import href="sumarios.xsl"/>
	<xsl:import href="capa.xsl"/>
	<xsl:import href="indice.xsl"/>
	<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/>
	<xsl:key name="i-cursos" match="/dos:dossier/dos:apresentao/dos:identificao/dos:turmas/dos:turma/dos:curso" use="@id"/>
	<xsl:key name="i-docentes" match="/dos:dossier/dos:apresentao/dos:equipa-docente/dos:docente" use="@id"/>
	<xsl:key name="i-turnos" match="/dos:dossier/dos:apresentao/dos:turnos/dos:turno" use="@id"/>
	<xsl:key name="i-elem" match="/dos:dossier/dos:avaliao/dos:mtodos/dos:mtodo/dos:elementos-av/dos:elem-av" use="@id"/>
	<xsl:template match="/">
		<fo:root>
			<fo:layout-master-set>
				<!-- layout para a capa -->
				<fo:simple-page-master master-name="capa" page-height="29.7cm" page-width="21cm" margin-top="4cm" margin-bottom="4cm" margin-left="2.5cm" margin-right="2.5cm">
					<fo:region-body margin-top="4cm" margin-bottom="3cm" region-name="centro"/>
				</fo:simple-page-master>
				<!-- layout para o resto -->
				<fo:simple-page-master master-name="normal" page-height="29.7cm" page-width="21cm" margin-top="2cm" margin-bottom="1.5cm" margin-left="2.5cm" margin-right="2.5cm">
					<fo:region-body margin-top="2cm" margin-bottom="1.5cm" region-name="corpo"/>
					<fo:region-before extent="1.5cm" region-name="cabecalho"/>
					<fo:region-after extent="1.5cm" region-name="rodape"/>
				</fo:simple-page-master>
				<!-- layout para o capitulo -->
				<fo:page-sequence-master master-name="capitulo">
					<fo:repeatable-page-master-reference master-reference="normal"/>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<!--capa-->
			<fo:page-sequence master-reference="capa">
				<fo:flow flow-name="centro">
					<xsl:apply-templates select="dos:dossier/dos:apresentao/dos:identificao" mode="capa"/>
				</fo:flow>
			</fo:page-sequence>
			<!--indice-->
			<fo:page-sequence master-reference="normal">
				<fo:flow flow-name="corpo">
					<xsl:apply-templates select="dos:dossier" mode="indice"/>
				</fo:flow>
			</fo:page-sequence>
			<!--Capitulo 1: Apresentao-->
			<fo:page-sequence master-reference="capitulo" initial-page-number="1">
				<fo:static-content flow-name="cabecalho">
					<fo:block text-align="end" font-size="10pt" font-family="serif" line-height="14pt">
				Apresentao - p. <fo:page-number/>
					</fo:block>
				</fo:static-content>
				<fo:flow flow-name="corpo">
					<fo:block font-size="18pt" font-family="sans-serif" line-height="24pt" space-after.optimum="15pt" background-color="navy" color="white" text-align="center" padding-top="3pt" font-variant="small-caps" id="cap1">
			1 -  Apresentao 
			</fo:block>
					<xsl:apply-templates select="dos:dossier/dos:apresentao"/>
				</fo:flow>
			</fo:page-sequence>
			<!--Capitulo 2: Programa-->
			<fo:page-sequence master-reference="capitulo">
				<fo:static-content flow-name="cabecalho">
					<fo:block text-align="end" font-size="10pt" font-family="serif" line-height="14pt">
				Programa - p. <fo:page-number/>
					</fo:block>
				</fo:static-content>
				<fo:flow flow-name="corpo">
					<fo:block font-size="18pt" font-family="sans-serif" line-height="24pt" space-after.optimum="15pt" background-color="navy" color="white" text-align="center" padding-top="3pt" font-variant="small-caps" id="cap2">
			2 -  Programa 
			</fo:block>
					<xsl:apply-templates select="dos:dossier/prog:programa"/>
				</fo:flow>
			</fo:page-sequence>
			<!--Capitulo 3: Avaliao-->
			<fo:page-sequence master-reference="capitulo">
				<fo:static-content flow-name="cabecalho">
					<fo:block text-align="end" font-size="10pt" font-family="serif" line-height="14pt">
				Avaliao - p. <fo:page-number/>
					</fo:block>
				</fo:static-content>
				<fo:flow flow-name="corpo">
					<fo:block font-size="18pt" font-family="sans-serif" line-height="24pt" space-after.optimum="15pt" background-color="navy" color="white" text-align="center" padding-top="3pt" font-variant="small-caps" id="cap3">
			3 -  Avaliao 
			</fo:block>
					<xsl:apply-templates select="dos:dossier/dos:avaliao"/>
				</fo:flow>
			</fo:page-sequence>
			<!--Capitulo 4: Bibliografia-->
			<fo:page-sequence master-reference="capitulo">
				<fo:static-content flow-name="cabecalho">
					<fo:block text-align="end" font-size="10pt" font-family="serif" line-height="14pt">
				Bibliografia - p. <fo:page-number/>
					</fo:block>
				</fo:static-content>
				<fo:flow flow-name="corpo">
					<fo:block font-size="18pt" font-family="sans-serif" line-height="24pt" space-after.optimum="15pt" background-color="navy" color="white" text-align="center" padding-top="3pt" font-variant="small-caps" id="cap4">
			4 -  Bibliografia
			</fo:block>
					<xsl:apply-templates select="dos:dossier/bib:bibliografia"/>
				</fo:flow>
			</fo:page-sequence>
			<!--Capitulo 5: Material pedaggico-->
			<fo:page-sequence master-reference="capitulo">
				<fo:static-content flow-name="cabecalho">
					<fo:block text-align="end" font-size="10pt" font-family="serif" line-height="14pt">
				Material pedaggico - p. <fo:page-number/>
					</fo:block>
				</fo:static-content>
				<fo:flow flow-name="corpo">
					<fo:block font-size="18pt" font-family="sans-serif" line-height="24pt" space-after.optimum="15pt" background-color="navy" color="white" text-align="center" padding-top="3pt" font-variant="small-caps" id="cap5">
			5 -  Material pedaggico
			</fo:block>
					<xsl:apply-templates select="dos:dossier/dos:material-pedaggico"/>
				</fo:flow>
			</fo:page-sequence>
			<!--Capitulo 6: Sumrios-->
			<fo:page-sequence master-reference="capitulo">
				<fo:static-content flow-name="cabecalho">
					<fo:block text-align="end" font-size="10pt" font-family="serif" line-height="14pt">
				Sumrios - p. <fo:page-number/>
					</fo:block>
				</fo:static-content>
				<fo:flow flow-name="corpo">
					<fo:block font-size="18pt" font-family="sans-serif" line-height="24pt" space-after.optimum="15pt" background-color="navy" color="white" text-align="center" padding-top="3pt" font-variant="small-caps" id="cap6">
			6 -  Sumrios
			</fo:block>
					<xsl:apply-templates select="dos:dossier/dos:sumrios"/>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<xsl:template match="dos:apresentao">
		<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" id="s1.1" color="navy" font-weight="bold">
		1.1 - Identificao da disciplina
	</fo:block>
		<xsl:apply-templates select="dos:identificao"/>
		<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" id="s1.2" color="navy" font-weight="bold">
		1.2 - Historial
	</fo:block>
		<xsl:apply-templates select="dos:historial"/>
		<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" id="s1.3" color="navy" font-weight="bold">
		1.3 - Objectivos
	</fo:block>
		<fo:block>
			<xsl:apply-templates select="dos:objectivos"/>
		</fo:block>
		<xsl:if test="dos:metodologia">
			<fo:block>
				<xsl:apply-templates select="dos:metodologia"/>
			</fo:block>
		</xsl:if>
		<xsl:if test="dos:requisitos">
			<fo:block>
				<xsl:apply-templates select="dos:requisitos"/>
			</fo:block>
		</xsl:if>
		<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" id="s1.4" color="navy" font-weight="bold">
		1.4 - Equipa docente e horrios
	</fo:block>
		<xsl:apply-templates select="dos:equipa-docente"/>
		<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" id="s1.5" color="navy" font-weight="bold">
		1.5 - Turnos
	</fo:block>
		<xsl:apply-templates select="dos:turnos"/>
	</xsl:template>
	<xsl:template match="dos:avaliao">
		<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" id="s3.1" color="navy" font-weight="bold">
		3.1 - Regime de faltas
	</fo:block>
		<xsl:apply-templates select="dos:regime-faltas"/>
		<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" id="s3.2" color="navy" font-weight="bold">
		3.2 - Mtodos de avaliao
	</fo:block>
		<xsl:apply-templates select="dos:mtodos"/>
		<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" id="s3.3" color="navy" font-weight="bold">
		3.3 - Elementos de avaliao
	</fo:block>
		<xsl:apply-templates select="dos:mtodos/dos:mtodo/dos:elementos-av" mode="enunciados"/>
		<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" id="s3.4" color="navy" font-weight="bold">
		3.4 - Classificaes
	</fo:block>
		<xsl:apply-templates select="dos:classificaes"/>
	</xsl:template>
</xsl:stylesheet>
