<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:import href="objectivos.xsl"/>
	<xsl:import href="bibliografia.xsl"/>
	<xsl:import href="classificacoes.xsl"/>
	<xsl:import href="docentes.xsl"/>
	<xsl:import href="elementosA.xsl"/>
	<xsl:import href="historial.xsl"/>
	<xsl:import href="identificacao.xsl"/>
	<xsl:import href="material.xsl"/>
	<xsl:import href="programa.xsl"/>
	<xsl:import href="regime-faltas.xsl"/>
	<xsl:import href="metodosA.xsl"/>
	<xsl:import href="sumarios.xsl"/>
	<xsl:import href="turnos.xsl"/>
	<xsl:import href="cabecalho.xsl"/>
	<xsl:output indent="yes" method="html" encoding="ISO-8859-1" omit-xml-declaration="yes"/>
	<xsl:template match="/">
		<xsl:apply-templates select="dos:dossier"/>
		<xsl:document href="../website/indice.html">
			<font size="2">
				<br/>
				<a target="main" href="identificacao.html">Identificao da disciplina</a>
				<br/>
				<a target="main" href="historial.html">Historial</a>
				<br/>
				<a target="main" href="objectivos.html">Objectivos</a>
				<br/>
				<a target="main" href="docentes.html">Equipa docente e horrios</a>
				<br/>
				<a target="main" href="turnos.html">Turnos</a>
				<br/>
				<a target="main" href="programa.html">Programa </a>
				<br/>
				<a target="main" href="regime-faltas.html">Regime de faltas</a>
				<br/>
				<a target="main" href="metodosA.html">Mtodos de avaliao</a>
				<br/>
				<a target="main" href="elementosA.html">Elementos de avaliao</a>
				<br/>
				<a target="main" href="classificacoes.html">Classificaes</a>
				<br/>
				<a target="main" href="bibliografia.html">Bibliografia</a>
				<br/>
				<a target="main" href="material.html">Material pedaggico</a>
				<br/>
				<a target="main" href="sumarios.html">Sumrios</a>
			</font>
		</xsl:document>
		<xsl:document href="../website/inicio.html">
			<frameset rows="27%,73%">
				<frame name="banner" frameBorder="0" scrolling="no" src="cabecalho.html"/>
				<frameset cols="20%,80%">
					<frame name="contents" frameBorder="0" scrolling="no" src="indice.html"/>
					<frame name="main" frameBorder="0" src="identificacao.html"/>
				</frameset>
			</frameset>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:dossier">
		<xsl:apply-templates select="dos:apresentao"/>
		<xsl:apply-templates select="prog:programa"/>
		<xsl:apply-templates select="dos:avaliao"/>
		<xsl:apply-templates select="bib:bibliografia"/>
		<xsl:apply-templates select="dos:material-pedaggico"/>
		<xsl:apply-templates select="dos:sumrios"/>
	</xsl:template>
	<xsl:template match="dos:apresentao">
		<xsl:apply-templates select="dos:identificao"/>
		<xsl:apply-templates select="dos:identificao" mode="cab"/>
		<xsl:apply-templates select="dos:historial"/>
		<xsl:apply-templates select="dos:equipa-docente"/>
		<xsl:apply-templates select="dos:turnos"/>
		<xsl:apply-templates select="dos:objectivos"/>
	</xsl:template>
	<xsl:template match="dos:objectivos">
		<xsl:document href="../website/objectivos.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:equipa-docente">
		<xsl:document href="../website/docentes.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:historial">
		<xsl:document href="../website/historial.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:identificao">
		<xsl:document href="../website/identificacao.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:identificao" mode="cab">
		<xsl:document href="../website/cabecalho.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:turnos">
		<xsl:document href="../website/turnos.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="bib:bibliografia">
		<xsl:document href="../website/bibliografia.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:avaliao">
		<xsl:apply-templates select="dos:regime-faltas"/>
		<xsl:apply-templates select="dos:mtodos"/>
		<xsl:apply-templates select="dos:classificaes"/>
		<xsl:apply-templates select="dos:mtodos/dos:mtodo/dos:elementos-av" mode="enunciados"/>
	</xsl:template>
	<xsl:template match="dos:elementos-av" mode="enunciados">
		<xsl:document href="../website/elementosA.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:classificaes">
		<xsl:document href="../website/classificacoes.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:regime-faltas">
		<xsl:document href="../website/regime-faltas.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:mtodos">
		<xsl:document href="../website/metodosA.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:material-pedaggico">
		<xsl:document href="../website/material.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="prog:programa">
		<xsl:document href="../website/programa.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
	<xsl:template match="dos:sumrios">
		<xsl:document href="../website/sumarios.html">
			<xsl:apply-imports/>
		</xsl:document>
	</xsl:template>
</xsl:stylesheet>
