<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:import href="modulo.xsl"/>
	<xsl:output indent="yes" method="html" encoding="ISO-8859-1" omit-xml-declaration="yes"/>
	
<xsl:template match="dos:elementos-av" mode="enunciados">
	<center>
		<font color="navy">
			<a name="topo"><h2>Elementos de avaliao</h2></a> 
		</font>
	<hr/>
	<xsl:variable name="c" select="count(//dos:enunciados)"/>
	<xsl:if test="$c &gt; 0">
		<h5>
		<xsl:for-each select="dos:elem-av">
			<xsl:if test="dos:enunciados">
				<a href="#{generate-id()}">
					<xsl:value-of select="dos:nome"/>
				</a>
				<xsl:if test="count(following-sibling::dos:elem-av) &gt; 0 and following-sibling::dos:elem-av/dos:enunciados">
					<xsl:text>  |  </xsl:text>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
		</h5>
	</xsl:if>
	</center>
	<p>Nesta pgina sero disponibilizados ao longo do perodo lectivo os enunciados dos elementos de avaliao que compem o sistema de avaliao da disciplina, assim como material de apoio anexo aos enunciados.</p>
	<br/>
	<xsl:variable name="c" select="count(//dos:enunciados)"/>
	<xsl:if test="$c=0">
		<ul>
			<li>(ainda no esto disponveis os enunciados).</li>
		</ul>
	</xsl:if>
	<xsl:if test="$c &gt; 0">
		<xsl:apply-templates select="dos:elem-av" mode="enunciados"/>
	</xsl:if>
</xsl:template>

<xsl:template match="dos:elem-av" mode="enunciados">
	<xsl:if test="dos:enunciados">
		<font color="navy">
		<a name="{generate-id()}">
		<h3><u>
			<xsl:value-of select="dos:nome"/></u>
		</h3>
		</a>
		</font>	
		<ul>
			<xsl:apply-templates select="dos:enunciados/dos:enunciado" mode="enunciados"/>
		</ul>
		<h5><a href="#topo">Topo...</a></h5>
		<hr/>
		<br/>
	</xsl:if>
</xsl:template>

<xsl:template match="dos:enunciado" mode="enunciados">
	<li>
		<p>
			<xsl:value-of select="dos:ttulo"/>
			<xsl:apply-templates select="dos:ficheiro" mode="enunciados"/>
			<xsl:if test="dos:data">
				<br/>(<xsl:value-of select="dos:data"/>)</xsl:if>
		</p>
	</li>
</xsl:template>

<xsl:template match="dos:ficheiro" mode="enunciados">
	[<a href="{@url}">
		<xsl:choose>
			<xsl:when test="@legenda">
				<xsl:value-of select="@legenda"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="@url"/>
			</xsl:otherwise>
		</xsl:choose>
	</a>]
</xsl:template>

</xsl:stylesheet>
