<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/> 


<xsl:template match="dos:elementos-av" mode="enunciados">
	<fo:block font-size="12pt" space-before.optimum="5pt" space-after.optimum="5pt" text-align="start">Nesta seco sero disponibilizados ao longo do perodo lectivo os enunciados dos elementos de avaliao que compem o sistema de avaliao da disciplina, assim como material de apoio anexo aos enunciados.</fo:block>
	<xsl:variable name="c" select="count(//dos:enunciados)"/>
	<xsl:if test="$c=0">
		<fo:list-block provisional-distance-between-starts="7mm" provisional-label-separation="2mm" start-indent="2mm" space-before.optimum="4pt" space-after.optimum="4pt">
			<fo:list-item>
				<fo:list-item-label end-indent="label-end()">
					<fo:block font-family="Courier" font-size="12pt" line-height="14pt" padding-before="2pt">&#x2022;</fo:block>
				</fo:list-item-label>
				<fo:list-item-body start-indent="body-start()">
					<fo:block font-size="12pt" font-family="sans-serif" line-height="15pt" space-before.optimum="6pt" space-after.optimum="6pt" text-align="start">(ainda no esto disponveis os enunciados).</fo:block>
				</fo:list-item-body>
			</fo:list-item>	
		</fo:list-block>	
	</xsl:if>
	<xsl:if test="$c &gt; 0">
		<xsl:apply-templates select="dos:elem-av" mode="enunciados"/>
	</xsl:if>
</xsl:template>

<xsl:template match="dos:elem-av" mode="enunciados">
	<xsl:if test="dos:enunciados">
		<fo:block font-size="14pt" font-family="sans-serif" line-height="18pt" space-before.optimum="15pt" space-after.optimum="10pt" text-align="start"  color="navy"  keep-with-next="always">
			<xsl:value-of select="dos:nome"/>
		</fo:block>
		<fo:list-block provisional-distance-between-starts="6mm" provisional-label-separation="2mm">
			<xsl:apply-templates select="dos:enunciados/dos:enunciado" mode="enunciados"/>
		</fo:list-block>	
	</xsl:if>
</xsl:template>

<xsl:template match="dos:enunciado" mode="enunciados">
	<fo:list-item>
		<fo:list-item-label end-indent="label-end()">
			<fo:block font-family="Courier" font-size="12pt" line-height="14pt" padding-before="2pt" >&#x2022;</fo:block>
		</fo:list-item-label>
		<fo:list-item-body start-indent="body-start()">
			<fo:block font-size="12pt" font-family="sans-serif" line-height="15pt" space-before.optimum="6pt" space-after.optimum="6pt" text-align="start">
				<xsl:value-of select="dos:ttulo"/>
				<xsl:apply-templates select="dos:ficheiro" mode="enunciados"/>
				<xsl:if test="dos:data"><fo:block linefeed-treatment="preserve">
				(<xsl:value-of select="dos:data"/>)</fo:block></xsl:if>
			</fo:block>
		</fo:list-item-body>
	</fo:list-item>	
</xsl:template>

<xsl:template match="dos:ficheiro" mode="enunciados">
	[<fo:basic-link external-destination="{@url}"  text-decoration="underline" color="blue">
		<xsl:choose>
			<xsl:when test="@legenda">
				<xsl:value-of select="@legenda"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="@url"/>
			</xsl:otherwise>
		</xsl:choose>
	</fo:basic-link>]
</xsl:template>

</xsl:stylesheet>


