<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:import href="modulo.xsl"/>
	<xsl:output indent="yes" method="html" encoding="ISO-8859-1" omit-xml-declaration="yes"/>
	
	<xsl:key name="i-docentes" match="/dos:dossier/dos:apresentao/dos:equipa-docente/dos:docente" use="@id"/>
	
	<xsl:template match="dos:identificao">
		<center>
			<font color="navy">
				<h2>Identificao da disciplina</h2>
			</font>
		</center>
		<hr/>
		<br/>
		<table cellpadding="10" width="100%">
			<tbody>
				<tr>
					<th align="left" width="30%">Disciplina</th>
					<td>
						<xsl:value-of select="dos:designao"/>
					</td>
				</tr>
				<tr>
					<th align="left">rea cientfica</th>
					<td>
						<xsl:value-of select="dos:rea-cientfica"/>
					</td>
				</tr>
				<tr>
					<th align="left">Instituio</th>
					<td>
						<xsl:apply-templates select="dos:instituio"/>
					</td>
				</tr>
				<tr>
					<th align="left">Conselho de Cursos</th>
					<td>
						<xsl:apply-templates select="dos:escola"/>
					</td>
				</tr>
				<tr>
					<th align="left">Departamento</th>
					<td>
						<xsl:apply-templates select="dos:departamento"/>
					</td>
				</tr>
				<tr>
					<th align="left" valign="top">Curso<xsl:if test="count(dos:turmas/dos:turma) &gt; 1">s</xsl:if>
					</th>
					<td>
						<xsl:for-each select="dos:turmas/dos:turma">
							<xsl:apply-templates select="dos:curso"/> , <xsl:value-of select="dos:ano-curso"/> ano (<xsl:value-of select="dos:tipo-disciplina"/> - <xsl:value-of select="dos:cdigo-disciplina"/>)<br/>
						</xsl:for-each>
					</td>
				</tr>
				<tr>
					<th align="left">Responsvel</th>
					<td>
						<xsl:value-of select="key('i-docentes',dos:responsvel-ref/@ref)/dos:nome"/>
					</td>
				</tr>
				<tr>
					<th align="left">Escolaridade</th>
					<td>
						<xsl:apply-templates select="dos:escolaridade"/>
					</td>
				</tr>
				<tr>
					<th align="left">Unidades de Crdito</th>
					<td>
						<xsl:value-of select="dos:unidades-crdito"/>
					</td>
				</tr>
				<tr>
					<th align="left">Regime</th>
					<td>
						<xsl:value-of select="dos:regime"/>
						<xsl:if test="dos:semestre"> (<xsl:value-of select="dos:semestre"/> semestre)</xsl:if>
					</td>
				</tr>
				<tr>
					<th align="left">Ano lectivo</th>
					<td>
						<xsl:value-of select="dos:ano-lectivo/dos:ano[1]"/>/<xsl:value-of select="dos:ano-lectivo/dos:ano[2]"/>
					</td>
				</tr>
			</tbody>
		</table>
		<hr/>
	</xsl:template>

	<xsl:template match="dos:instituio|dos:escola|dos:departamento">
		<xsl:choose>
			<xsl:when test="dos:url">
				<a href="{dos:url/@url}">
					<xsl:value-of select="dos:nome"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="dos:nome"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="dos:curso">
		<xsl:choose>
			<xsl:when test="@url">
				<a href="{@url}">
					<xsl:value-of select="."/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="dos:escolaridade">
		<xsl:for-each select="dos:aula">
			<xsl:value-of select="dos:horas-semanais"/>h(<xsl:value-of select="dos:tipo-aula"/>)<xsl:if test="following-sibling::dos:aula">
				<xsl:text>  +  </xsl:text>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
</xsl:stylesheet>
