<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/> 


 <xsl:template match="dos:identificao">
	<fo:table width="15cm"  table-layout="fixed" padding-start="4pt" padding-end="4pt" padding-before="4pt" padding-after="4pt">
		<fo:table-column column-number="1" column-width="5cm"/>
		<fo:table-column column-number="2" column-width="10cm"/>
		<fo:table-body>
			<fo:table-row >
				<fo:table-cell text-align="left">
					<fo:block font-weight="bold" >Disciplina</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block><xsl:value-of select="dos:designao"/></fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row>
				<fo:table-cell text-align="left">
					<fo:block font-weight="bold">rea cientfica</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block><xsl:value-of select="dos:rea-cientfica"/></fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row>
				<fo:table-cell text-align="left">
					<fo:block font-weight="bold">Instituio</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block>
						<xsl:choose>
							<xsl:when test="dos:instituio/dos:url">
								<fo:basic-link external-destination="{dos:instituio/dos:url/@url}"  text-decoration="underline" color="blue">
									<xsl:value-of select="dos:instituio/dos:nome"/>
								</fo:basic-link>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="dos:instituio/dos:nome"/>
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row>
				<fo:table-cell text-align="left">
					<fo:block font-weight="bold">Conselho de Cursos</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block>
						<xsl:choose>
							<xsl:when test="dos:escola/dos:url">
								<fo:basic-link external-destination="{dos:escola/dos:url/@url}"  text-decoration="underline" color="blue">
									<xsl:value-of select="dos:escola/dos:nome"/>
								</fo:basic-link>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="dos:escola/dos:nome"/>
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row>
				<fo:table-cell text-align="left">
					<fo:block font-weight="bold">Departamento</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block>
						<xsl:choose>
							<xsl:when test="dos:departamento/dos:url">
								<fo:basic-link external-destination="{dos:departamento/dos:url/@url}"  text-decoration="underline" color="blue">
									<xsl:value-of select="dos:departamento/dos:nome"/>
								</fo:basic-link>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="dos:departamento/dos:nome"/>
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row >
				<fo:table-cell text-align="left" vertical-align="top">
					<fo:block font-weight="bold">Curso<xsl:if test="count(dos:turmas/dos:turma) &gt; 1">s</xsl:if></fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block>
						<xsl:for-each select="dos:turmas/dos:turma">
							<fo:block linefeed-treatment="preserve"><xsl:apply-templates select="dos:curso"/> , <xsl:value-of select="dos:ano-curso"/> ano (<xsl:value-of select="dos:tipo-disciplina"/> - <xsl:value-of select="dos:cdigo-disciplina"/>)
							</fo:block>
						</xsl:for-each>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row >
				<fo:table-cell text-align="left">
					<fo:block font-weight="bold">Responsvel</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block><xsl:value-of select="key('i-docentes',dos:responsvel-ref/@ref)/dos:nome"/></fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row >
				<fo:table-cell text-align="left">
					<fo:block font-weight="bold">Escolaridade</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block><xsl:apply-templates select="dos:escolaridade"/></fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row >
				<fo:table-cell text-align="left">
					<fo:block font-weight="bold">Unidades de Crdito</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block><xsl:value-of select="dos:unidades-crdito"/></fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row >
				<fo:table-cell text-align="left">
					<fo:block font-weight="bold">Regime</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block><xsl:value-of select="dos:regime"/><xsl:if test="dos:semestre"> (<xsl:value-of select="dos:semestre"/> semestre)</xsl:if></fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row >
				<fo:table-cell text-align="left">
					<fo:block font-weight="bold">Ano lectivo</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block><xsl:value-of select="dos:ano-lectivo/dos:ano[1]"/>/<xsl:value-of select="dos:ano-lectivo/dos:ano[2]"/></fo:block>
				</fo:table-cell>
			</fo:table-row>
		</fo:table-body>
	</fo:table> 
	</xsl:template> 

	<xsl:template match="dos:curso">
		<xsl:choose>
			<xsl:when test="@url">
				<fo:basic-link external-destination="{@url}" text-decoration="underline" color="blue">
					<xsl:value-of select="."/>
				</fo:basic-link>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="dos:escolaridade">
		<xsl:for-each select="dos:aula">
			<xsl:value-of select="dos:horas-semanais"/>h(<xsl:value-of select="dos:tipo-aula"/>)<xsl:if test="following-sibling::dos:aula">
				<xsl:text>  +  </xsl:text>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
</xsl:stylesheet>
