<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/> 


	<xsl:template match="dos:material-pedaggico">
		<xsl:apply-templates select="dos:tipo"/>
	</xsl:template>

	<xsl:template match="dos:tipo">
	<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="10pt" text-align="start" padding-top="3pt" color="navy" font-weight="bold" id="s5.{count(preceding-sibling::dos:tipo)+1}" keep-with-next="always">
		5.<xsl:number format="1 - "/><xsl:value-of select="dos:nome"/>
	</fo:block >
	<xsl:if test="dos:subtipo"><xsl:apply-templates select="dos:subtipo"/></xsl:if>
	<xsl:if test="dos:material"><fo:list-block provisional-distance-between-starts="6mm" provisional-label-separation="1mm"><xsl:apply-templates select="dos:material"/></fo:list-block></xsl:if>
	</xsl:template>

	<xsl:template match="dos:subtipo">
		<fo:block font-size="14pt" font-family="sans-serif" line-height="18pt" space-before.optimum="15pt" space-after.optimum="5pt" text-align="start" color="navy" keep-with-next="always">
			<xsl:number format="i) "/><xsl:value-of select="dos:nome"/>
		</fo:block>
		<fo:list-block provisional-distance-between-starts="5mm" provisional-label-separation="1mm"><xsl:apply-templates select="dos:material"/></fo:list-block>
	</xsl:template>
		
	<xsl:template match="dos:material">
		<fo:list-item>
			<fo:list-item-label end-indent="label-end()">
				<fo:block font-family="Courier" font-size="12pt" line-height="14pt" padding-before="2pt">&#x2022;</fo:block>
			</fo:list-item-label>
			<fo:list-item-body start-indent="body-start()">
				<fo:block><xsl:apply-templates/></fo:block>
			</fo:list-item-body>
		</fo:list-item>
    </xsl:template>

</xsl:stylesheet>


