<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:import href="modulo.xsl"/>
	<xsl:output indent="yes" method="html" encoding="ISO-8859-1" omit-xml-declaration="yes"/>
	
	<xsl:template match="dos:material-pedaggico">
		<center>
			<font color="navy">
				<a name="topo"><h2>Material pedaggico</h2></a>
			</font>
			<hr/>
			<h5>
				<xsl:apply-templates mode="indice" select="dos:tipo"/>
			</h5>
		</center>
		<br/>
		<xsl:apply-templates select="dos:tipo"/>
	</xsl:template>


	<!-- Gerao do ndice -->

	<xsl:template match="dos:tipo" mode="indice">
		<a href="#{generate-id()}">
			<xsl:value-of select="dos:nome"/>
		</a>
		<xsl:if test="count(following::dos:tipo) &gt; 0">
			<xsl:text>  |  </xsl:text>
		</xsl:if>
	</xsl:template>

	<!-- Gerao do contedo -->

	<xsl:template match="dos:tipo">
		<font color="navy">
		<h3><u>
			<a name="{generate-id()}">
				<xsl:number level="single"/>. <xsl:value-of select="dos:nome"/>
			</a></u>
		</h3>
		</font>
		<xsl:if test="dos:subtipo"><xsl:apply-templates select="dos:subtipo"/></xsl:if>
		<xsl:if test="dos:material"><ul><xsl:apply-templates select="dos:material"/></ul></xsl:if>
		<h5><a href="#topo">Topo...</a></h5>
		<hr/><br/>
	</xsl:template>

	<xsl:template match="dos:subtipo">
		<font color="navy">
		<h4>
			<a name="{generate-id()}">
				<xsl:number format="i"/>) <xsl:value-of select="dos:nome"/>
			</a>
		</h4>
		</font>
		<ul><xsl:apply-templates select="dos:material"/></ul>
	</xsl:template>
		
	<xsl:template match="dos:material">
		<li>
			<xsl:apply-templates/>
		</li>
    </xsl:template>

</xsl:stylesheet>
