<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:import href="modulo.xsl"/>
	<xsl:output indent="yes" method="html" encoding="ISO-8859-1" omit-xml-declaration="yes"/>
	
	<xsl:key name="i-elem" match="/dos:dossier/dos:avaliao/dos:mtodos/dos:mtodo/dos:elementos-av/dos:elem-av" use="@id"/>
	
	<xsl:template match="dos:mtodos">
		<xsl:variable name="m" select="count(dos:mtodo) "/>
		<center>
			<font color="navy">
				<h2>Mtodo<xsl:if  test="$m &gt; 1">s</xsl:if> de avaliao</h2>
			</font>
		</center>
		<hr/>
		<xsl:choose>
			<xsl:when test="$m=1">
				<br/>
				<ul><xsl:apply-templates select="dos:mtodo"/></ul>
			</xsl:when>
			<xsl:otherwise>
				<br/>
				<ul>
					<xsl:for-each select="dos:mtodo">
						<h3><u>Mtodo <xsl:number format="A"/></u></h3>
							<ul><xsl:apply-templates select="."/></ul>
					</xsl:for-each>
				</ul>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="dos:mtodo">
		<xsl:variable name="numelem" select="count(dos:elementos-av/dos:elem-av)"/>
		<li>
		<font color="navy">
		<h3>Elemento<xsl:if test="$numelem &gt; 1">s</xsl:if> de avaliao</h3>
		</font>
		<p>
	A avaliao da aprendizagem da disciplina  de tipo <xsl:value-of select="dos:tipo-avaliao"/>, envolvendo <xsl:if test="$numelem=1">um s elemento de avaliao: </xsl:if>
			<xsl:if test="$numelem &gt; 1">
				<xsl:value-of select="$numelem"/> elementos de avaliao: </xsl:if>
			<br/><br/>
			<dl>
				<xsl:for-each select="dos:elementos-av/dos:elem-av">
					<xsl:apply-templates select="."/>
				</xsl:for-each>
			</dl>
		</p>
		<br/>
		</li>
		<li>
		<font color="navy">
		<h3>Frmula de avaliao</h3>
		</font>
		<p>A classificao final <b>
				<i> nf </i>
			</b> ser dada pela frmula : <br/><br/>
			 <ol>
				<xsl:apply-templates select="dos:frmula"/>
			</ol>
		</p>
		<br/>
		</li>
		<xsl:if test="dos:resumo">
			<li>
			<font color="navy">
			<h3>Resumo</h3>
			</font>
			<p>
				<xsl:apply-templates select="dos:resumo"/>
			</p>
			</li>
		</xsl:if>
		<hr/>
	</xsl:template>
	
	<xsl:template match="dos:resumo|dos:descrio">
		<xsl:apply-imports/>	
	</xsl:template>

	<xsl:template match="dos:elem-av">
		<dt>
			<b>
				<xsl:value-of select="dos:nome"/>
			    (<i><xsl:value-of select="dos:chave"/></i>)
			</b>    
		</dt>
		<dd>
			<xsl:if test="dos:descrio">
				<p>
					<xsl:apply-templates select="dos:descrio"/>
				</p>
			</xsl:if>
		</dd>
	</xsl:template>

	<xsl:template match="dos:frmula">
		<xsl:variable name="c" select="dos:critrio"/>
		<xsl:if test="$c='Mximo'">Max(<xsl:call-template name="arg">
				<xsl:with-param name="comp" select="dos:componentes"/>
			</xsl:call-template>)</xsl:if>
		<xsl:if test="$c='Mnimo'">Min(<xsl:call-template name="arg">
				<xsl:with-param name="comp" select="dos:componentes"/>
			</xsl:call-template>)</xsl:if>
		<xsl:if test="$c='Somatrio'">
			<xsl:call-template name="soma">
				<xsl:with-param name="comp" select="dos:componentes"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>


	<xsl:template name="arg">
		<xsl:param name="comp" select="."/>
		<font size="+1">
		<b>
			<i> nf</i>
		</b>
		<xsl:text>  =  </xsl:text>
		<xsl:for-each select="$comp/dos:componente">
			<xsl:variable name="elem" select="key('i-elem',dos:elem-ref/@ref)/dos:chave"/>
			<xsl:value-of select="dos:peso"/>
			<xsl:text> %  *  </xsl:text>
			<b>
				<i>
					<xsl:value-of select="$elem"/>
				</i>
			</b>
			<xsl:if test="following-sibling::dos:componente">
				<xsl:text> , </xsl:text>
			</xsl:if>
		</xsl:for-each>
		</font>
	</xsl:template>

	<xsl:template name="soma">
		<xsl:param name="comp" select="."/>
		<font size="+1">
		<b>
			<i> nf</i>
		</b>
		<xsl:text>  =  </xsl:text>
		<xsl:for-each select="$comp/dos:componente">
			<xsl:variable name="elem" select="key('i-elem',dos:elem-ref/@ref)/dos:chave"/>
			<xsl:value-of select="dos:peso"/>
			<xsl:text> %  *  </xsl:text>
			<b>
				<i>
					<xsl:value-of select="$elem"/>
				</i>
			</b>
			<xsl:if test="following-sibling::dos:componente">
				<xsl:text> + </xsl:text>
			</xsl:if>
		</xsl:for-each>
		</font>
	</xsl:template>

</xsl:stylesheet>
