<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output indent="yes" method="html" encoding="ISO-8859-1" omit-xml-declaration="yes"/>
	
	<xsl:template match="txt:pargrafo">
		<p>
			<xsl:apply-templates/>
		</p>
	</xsl:template>

	<xsl:template match="txt:iref">
		<a href="#{@destino}">
			<xsl:choose>
				<xsl:when test="@legenda">
					<xsl:value-of select="@legenda"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@destino"/>
				</xsl:otherwise>
			</xsl:choose>
		</a>
	</xsl:template>

	<xsl:template match="txt:xref">
		<a href="{@url}">
			<xsl:choose>
				<xsl:when test="@legenda">
					<xsl:value-of select="@legenda"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@url"/>
				</xsl:otherwise>
			</xsl:choose>
		</a>
	</xsl:template>

	<xsl:template match="txt:acrnimo">
		<acronym>
			<xsl:apply-templates/>
		</acronym>
	</xsl:template>

	<xsl:template match="txt:cdigo">
		<code>
			<xsl:apply-templates/>
		</code>
	</xsl:template>

	<xsl:template match="txt:quebra-linha">
		<br/>
	</xsl:template>

	<xsl:template match="txt:linha-horizontal">
		<hr/>
	</xsl:template>

	<xsl:template match="txt:negrito">
		<b>
			<xsl:apply-templates/>
		</b>
	</xsl:template>
	
	<xsl:template match="txt:italico">
		<i>
			<xsl:apply-templates/>
		</i>
	</xsl:template>
	
	<xsl:template match="txt:sublinhado">
		<u>
			<xsl:apply-templates/>
		</u>
	</xsl:template>
		
	<xsl:template match="txt:imagem">
		<img src="{@path}" alt="{@path}"/>
		<xsl:if test="@legenda">
			<p>
				<b>
					<xsl:value-of select="@legenda"/>
				</b>
			</p>
		</xsl:if>
	</xsl:template>

	<xsl:template match="txt:tabela">
		<table border="1">
			<tbody>
				<xsl:apply-templates/>
			</tbody>
		</table>
		<br/>
	</xsl:template>

	<xsl:template match="txt:linha">
		<tr>
			<xsl:apply-templates/>
		</tr>
	</xsl:template>

	<xsl:template match="txt:coluna">
		<td>
			<xsl:apply-templates/>
		</td>
	</xsl:template>

	<xsl:template match="txt:lista-normal">
		<ul>
			<xsl:apply-templates/>
		</ul>
	</xsl:template>

	<xsl:template match="txt:lista-numerica">
		<ol>
			<xsl:apply-templates/>
		</ol>
	</xsl:template>

	<xsl:template match="txt:lista-descritiva">
		<dl>
			<xsl:apply-templates/>
		</dl>
	</xsl:template>

	<xsl:template match="txt:item[not(..)=txt:lista-descritiva]">
		<li>
			<xsl:apply-templates/>
		</li>
	</xsl:template>

	<xsl:template match="txt:termo">
		<dt>
			<xsl:apply-templates/>
		</dt>
	</xsl:template>

	<xsl:template match="txt:descrio">
		<dd>
			<xsl:apply-templates/>
		</dd>
	</xsl:template>

</xsl:stylesheet>
