<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/> 

	<xsl:template name="novalinha">
		<xsl:text>
		</xsl:text>
	</xsl:template>

	<xsl:template match="txt:pargrafo">
		<fo:block font-size="12pt" font-family="sans-serif" line-height="15pt" space-before.optimum="6pt" space-after.optimum="6pt" text-align="start">
			<xsl:apply-templates/>
		</fo:block>
	</xsl:template>

	<xsl:template match="txt:iref">
		<fo:basic-link internal-destination="{@destino}">
			<xsl:choose>
				<xsl:when test="@legenda">
					<xsl:value-of select="@legenda"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@destino"/>
				</xsl:otherwise>
			</xsl:choose>
		</fo:basic-link>
	</xsl:template>

	<xsl:template match="txt:xref">
		<fo:basic-link external-destination="{@url}"  text-decoration="underline" color="blue">
			<xsl:choose>
				<xsl:when test="@legenda">
					<xsl:value-of select="@legenda"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@url"/>
				</xsl:otherwise>
			</xsl:choose>
		</fo:basic-link>
	</xsl:template>

	<xsl:template match="txt:acrnimo">
		<fo:inline>
			<xsl:apply-templates/>
		</fo:inline>
	</xsl:template>

	<xsl:template match="txt:cdigo">
		<fo:block linefeed-treatment="preserve">
			<xsl:apply-templates/>
		</fo:block>
	</xsl:template>

	<xsl:template match="txt:quebra-linha">
		<fo:block linefeed-treatment="preserve">
		</fo:block>
	</xsl:template>

	<xsl:template match="txt:linha-horizontal">
		<fo:block color="black" space-before.optimum="-8pt">
			<fo:leader leader-pattern="rule" rule-thickness="1pt" leader-length="100%"/>
      </fo:block>

	</xsl:template>

	<xsl:template match="txt:negrito">
		<fo:inline font-weight="bold">
			<xsl:apply-templates/>
		</fo:inline>
	</xsl:template>
	
	<xsl:template match="txt:italico">
		<fo:inline font-style="italic">
			<xsl:apply-templates/>
		</fo:inline>
	</xsl:template>
	
	<xsl:template match="txt:sublinhado">
		<fo:inline text-decoration="underline">
			<xsl:apply-templates/>
		</fo:inline>
	</xsl:template>
		
	<xsl:template match="txt:imagem">
		<fo:block text-align="center">
			<fo:external-graphic src="{@path}"/>
		</fo:block>
		<xsl:if test="@legenda">
			<fo:block space-before="3pt" text-align="center" start-indent="10mm" end-indent="10mm">
				<xsl:value-of select="@legenda"/>
			</fo:block>
		</xsl:if>
	</xsl:template>

	<xsl:template match="txt:tabela">
		<fo:table table-layout="auto">
			<fo:table-body>
				<xsl:apply-templates/>
			</fo:table-body>
		</fo:table>
	</xsl:template>

	<xsl:template match="txt:linha">
		<fo:table-row>
			<xsl:apply-templates/>
		</fo:table-row>
	</xsl:template>

	<xsl:template match="txt:coluna">
		<fo:table-cell>
			<xsl:apply-templates/>
		</fo:table-cell>
	</xsl:template>

	<xsl:template match="txt:lista-normal">
		<fo:list-block provisional-distance-between-starts="7mm" provisional-label-separation="2mm" start-indent="2mm" space-before.optimum="4pt" space-after.optimum="4pt">
			<xsl:for-each select="txt:item">
			<fo:list-item>
				<fo:list-item-label end-indent="label-end()">
					<fo:block font-family="Courier" font-size="12pt" line-height="14pt" padding-before="2pt" >&#x2022;</fo:block>
				</fo:list-item-label>
				<fo:list-item-body start-indent="body-start()">
					<fo:block><xsl:apply-templates/></fo:block>
				</fo:list-item-body>
			</fo:list-item>
			</xsl:for-each>
		</fo:list-block>
	</xsl:template>

	<xsl:template match="txt:lista-numerica">
		<fo:list-block provisional-distance-between-starts="7mm" provisional-label-separation="2mm" start-indent="2mm" space-before.optimum="4pt" space-after.optimum="4pt">
			<xsl:for-each select="txt:item">
			<fo:list-item>
				<fo:list-item-label  end-indent="label-end()">
					<fo:block vertical-align="sub"><xsl:number format="1."/></fo:block>
				</fo:list-item-label>
				<fo:list-item-body start-indent="body-start()">
					<fo:block><xsl:apply-templates/></fo:block>
				</fo:list-item-body>
			</fo:list-item>
			</xsl:for-each>
		</fo:list-block>
	</xsl:template>

	<xsl:template match="txt:lista-descritiva">
		<fo:list-block provisional-distance-between-starts="15mm" provisional-label-separation="5mm" start-indent="2mm" space-before.optimum="4pt" space-after.optimum="4pt">
			<xsl:for-each select="txt:item">
			<fo:list-item>
				<fo:list-item-label end-indent="label-end()">
					<fo:block font-weight="bold"><xsl:apply-templates select="txt:termo"/></fo:block>
				</fo:list-item-label>
				<fo:list-item-body start-indent="body-start()">
					<fo:block><xsl:apply-templates select="txt:descrio"/></fo:block>
				</fo:list-item-body>
			</fo:list-item>
			</xsl:for-each>
		</fo:list-block>
	</xsl:template>


</xsl:stylesheet>
