<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/> 


<xsl:template match="prog:programa">
	<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" color="navy" font-weight="bold" id="s2.1" keep-with-next="always" >2.1 - Programa resumido</fo:block>
	<fo:block font-size="12pt" space-after.optimum="5pt" text-align="start">
		O programa da disciplina est organizado da seguinte forma:
	</fo:block>	
	<fo:list-block provisional-distance-between-starts="10mm" provisional-label-separation="5mm" start-indent="2mm" space-before.optimum="4pt" space-after.optimum="4pt">
		<xsl:apply-templates select="prog:seco" mode="resumido"/>
	</fo:list-block>
	<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" color="navy" font-weight="bold" id="s2.2" keep-with-next="always">2.2 - Programa detalhado</fo:block>
	<xsl:apply-templates select="prog:seco"/>
</xsl:template>
	
<xsl:template match="prog:seco">
	<fo:block font-size="14pt" line-height="18pt"  space-before.optimum="10pt" space-after.optimum="5pt" text-align="start" font-weight="bold" >
		<xsl:number level="multiple" format="1. " count="prog:seco"/><fo:inline text-decoration="underline"><xsl:value-of select="prog:ttulo"/></fo:inline> 
	</fo:block>
	<fo:block  space-after.optimum="10pt">
		<xsl:apply-templates/>
	</fo:block>
</xsl:template>

<xsl:template match="prog:ttulo"/>
	
<!-- Gerao do programa resumido -->
	
<xsl:template match="prog:seco" mode="resumido">
	<fo:list-item>
		<fo:list-item-label start-indent="5mm" end-indent="label-end()">
			<fo:block vertical-align="sub" font-weight="bold"><xsl:number format="1. " level="multiple" count="prog:seco"/></fo:block>
		</fo:list-item-label>
		<fo:list-item-body start-indent="body-start()">
			<fo:block  font-size="12pt" font-family="sans-serif" line-height="15pt" space-before.optimum="6pt" space-after.optimum="6pt" text-align="start">
				<fo:block font-weight="bold"><xsl:value-of select="prog:ttulo"/></fo:block>
				<xsl:if test="prog:seco">
					<fo:list-block>
						<xsl:apply-templates select="prog:seco" mode="resumido"/>			
					</fo:list-block>
				</xsl:if>
			</fo:block>	
		</fo:list-item-body>
	</fo:list-item>	
</xsl:template>
	
</xsl:stylesheet>

