<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
		
		<xsl:import href="modulo.xsl"/>
		<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/> 

<xsl:template match="/">
	<fo:root>
		<fo:layout-master-set>
			<fo:simple-page-master master-name="normal" page-height="29.7cm" page-width="21cm" margin-top="1.5cm" margin-bottom="1.5cm" margin-left="2.5cm" margin-right="2.5cm">
				<fo:region-body margin-top="1.5cm" margin-bottom="1.5cm" region-name="corpo"/>
			</fo:simple-page-master>
		</fo:layout-master-set>
		<fo:page-sequence master-reference="normal">
			<fo:flow flow-name="corpo">
				<fo:block font-size="18pt" font-family="sans-serif" line-height="24pt" space-after.optimum="15pt" background-color="navy" color="white" text-align="center" padding-top="3pt" font-variant="small-caps">
					Programa 
				</fo:block>
				<xsl:apply-templates select="//prog:programa"/>
			</fo:flow>
		</fo:page-sequence>
	</fo:root>
</xsl:template>			


<xsl:template match="prog:programa">
	<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" color="navy" font-weight="bold">Programa resumido</fo:block>
	<fo:block font-size="12pt" space-after.optimum="5pt" text-align="start">
		O programa da disciplina est organizado da seguinte forma:
	</fo:block>	
	<fo:list-block provisional-distance-between-starts="10mm" provisional-label-separation="5mm" start-indent="2mm" space-before.optimum="4pt" space-after.optimum="4pt">
		<xsl:apply-templates select="prog:seco" mode="resumido"/>
	</fo:list-block>
	<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="25pt" space-after.optimum="15pt" text-align="start" padding-top="3pt" color="navy" font-weight="bold" >Programa detalhado</fo:block>
	<xsl:apply-templates select="prog:seco"/>
</xsl:template>
	
<xsl:template match="prog:seco">
	<fo:block font-size="14pt" line-height="18pt"  space-before.optimum="10pt" space-after.optimum="5pt" text-align="start" font-weight="bold" >
		<xsl:number level="multiple" format="1. " count="prog:seco"/><fo:inline text-decoration="underline"><xsl:value-of select="prog:ttulo"/></fo:inline> 
	</fo:block>
	<fo:block  space-after.optimum="10pt">
		<xsl:apply-templates/>
	</fo:block>
</xsl:template>

<xsl:template match="prog:ttulo"/>
	
<!-- Gerao do programa resumido -->
	
<xsl:template match="prog:seco" mode="resumido">
	<fo:list-item>
		<fo:list-item-label start-indent="5mm" end-indent="label-end()">
			<fo:block vertical-align="sub" font-weight="bold"><xsl:number format="1. " level="multiple" count="prog:seco"/></fo:block>
		</fo:list-item-label>
		<fo:list-item-body start-indent="body-start()">
			<fo:block  font-size="12pt" font-family="sans-serif" line-height="15pt" space-before.optimum="6pt" space-after.optimum="6pt" text-align="start">
				<fo:block font-weight="bold"><xsl:value-of select="prog:ttulo"/></fo:block>
				<xsl:if test="prog:seco">
					<fo:list-block>
						<xsl:apply-templates select="prog:seco" mode="resumido"/>			
					</fo:list-block>
				</xsl:if>
			</fo:block>	
		</fo:list-item-body>
	</fo:list-item>	
</xsl:template>
	
</xsl:stylesheet>

