<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- Ctia Vilhena n 30707, Marlene Amorim n28171- LMCC - Processamento Estruturado de Docs - Univ. Minho 2004 -->
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="1.0" encoding="ISO-8859-1" omit-xml-declaration="yes" indent="yes"/>
	
	<xsl:key name="biblio" match="//bibliografia/*" use="@id"/>
	<!-- Templates iniciais -->
	<xsl:template match="relatorio">
		<html>
			<body>
				<font face="Verdana" size="2">
					<a name="inicio"/>
					<xsl:apply-templates select="identificacao"/>
					<hr/>
					<xsl:apply-templates select="abertura"/>
					<hr/>
					<xsl:apply-templates select="corpo"/>
					<hr/>
					<xsl:apply-templates select="fecho"/>
					<hr/>
				</font>
			</body>
		</html>
	</xsl:template>
	<!-- Primeira pgina: Identificao do trabalho  -->
	<xsl:template match="identificacao">
		<head>
			<title>
				<xsl:value-of select="titulo"/>
			</title>
		</head>
		<center>
		<font color="navy">
		<h1>
			<xsl:value-of select="titulo"/>
		</h1>
		<h2>
			<xsl:value-of select="subtitulo"/>
		</h2>
		</font>
		</center>
		<hr/>
		<h4>
			<font color="navy"><b>Autores:</b></font>
		</h4>
		<table width="100%">
			<tbody>
				<xsl:apply-templates select="autores/autor"/>
			</tbody>
		</table>
		<br/>
		<font color="navy"><h4>Orientadores:</h4></font>
		<table width="100%">
			<tbody>
				<xsl:apply-templates select="orientadores/orientador"/>
			</tbody>
		</table>
		<br/>
		<font color="navy"><h4>Instituio:</h4></font>
		<table width="100%">
			<tbody>
				<xsl:apply-templates select="instituicao"/>
			</tbody>
		</table>
		<br/><br/>
		<i>
			<xsl:value-of select="data"/>
		</i>
		<xsl:call-template name="std_space"/>
		<xsl:call-template name="menu"/>
		<hr/>
		<small>
			<center>
				<xsl:value-of select="copyright"/>
			</center>
		</small>
        </xsl:template>
        <xsl:template match="autor">
        <tr>
			<xsl:call-template name="EntidadeStyle"/>
		</tr>
		</xsl:template>
	<xsl:template match="orientador">
		<tr>
		<xsl:call-template name="EntidadeStyle"/>
		</tr>
	</xsl:template>
	<xsl:template match="instituicao">
		<tr>
		<td width="30%"><xsl:apply-templates select="foto"/></td>
		<td width="70%">
		<xsl:value-of select="nome"/>
		<br/>
		<xsl:value-of select="sobrenome"/>
		<br/>
		<a href="{homepage}">
			<xsl:value-of select="homepage"/>
		</a>
		</td>
		</tr>
	</xsl:template>
	
	<!-- Abertura do relatrio  -->
	
	<xsl:template match="abertura">
		<font size="2">
			<a name="abertura"/>
			<xsl:call-template name="std_space"/>
		<i>
		<h4>
			<font color="navy"><b>Agradecimentos:</b></font>
		</h4>
		<xsl:apply-templates select="agradecimentos/para"/>
		<xsl:call-template name="std_space"/>
		 </i>
		</font>
			<p/>
		<xsl:call-template name="menu"/>
		<xsl:call-template name="std_space"/>
		<a name="prologo"/>
		<font color="navy"><h3>Prlogo</h3></font>
		<p/>
		<xsl:apply-templates select="prologo/para"/>
			<p/>
			<p/>
			<p/>
		<font color="navy"><h3>Resumo</h3></font>
			<p/>
		<xsl:apply-templates select="resumo/para"/>
			<p/>
			<p/>
			<p/>
		<font color="navy"><h3>Abstract</h3></font>
			<p/>
		<xsl:apply-templates select="abstract/para"/>
			<p/>
			<p/>
		<xsl:call-template name="menu"/>
		<xsl:call-template name="std_space"/>
     </xsl:template>
	
	<!-- Corpo do relatrio  -->
	
	<xsl:template match="corpo">
		<a name="indice"/>
	    <h3><font color="navy">ndice de Contedos</font></h3>
		<xsl:apply-templates select="seccao" mode="indice"/>
		<br/>
		<br/>
		<br/>
		<xsl:call-template name="menu"/>
		<hr size="5"/>
		<xsl:apply-templates/><br/><br/>
		<xsl:call-template name="menu"/>
	</xsl:template>
	
	<!-- Gerao ndice de contedos -->
	
	<xsl:template match="seccao" mode="indice">
		<b>
			<xsl:for-each select=".">
				<a href="#{generate-id()}">
				<xsl:number level="multiple"/>
				<xsl:text>.  </xsl:text>
				<xsl:value-of select="titulo"/>
			</a>
			<ul>
				<xsl:apply-templates mode="indice"/>
			</ul>
			</xsl:for-each>
		</b>
    </xsl:template>
	
     <!-- retirar contedo das seces -->
	<xsl:template match="text()" mode="indice"/>

	<!-- Gerao do contedo das seces -->

	<xsl:template match="seccao">
		<xsl:call-template name="std_space"/>
		<font color="blue">
		<h3>
			<a name="{generate-id()}">
				<xsl:number level="multiple"/>. </a>
			<xsl:value-of select="titulo"/>
		</h3>
		</font>
		<xsl:call-template name="menu"/>
		<p/>
		<xsl:apply-templates/>
	</xsl:template> 

	<!-- Limpar os ttulos repetido -->
	<xsl:template match="seccao/titulo"/>
	
	<!-- Gerao do contedo das seces dos apendices-->

	<xsl:template match="ir/seccao">
		<font color="navy">
		<br/>
		<h4>
		<a name="{generate-id()}">
			<xsl:number level="single"/>. </a>
		<xsl:value-of select="titulo"/>
		</h4>
		</font>
		<br/>
		<xsl:apply-templates/>
	</xsl:template> 

	<!-- Gerao das seces finais -->

	<xsl:template match="fecho">
		<font size="2">
			<a name="fecho"/>
			<xsl:call-template name="std_space"/>
			<font color="navy"> <h3>Eplogo</h3></font>
				<br/>
			<xsl:apply-templates select="epilogo/para"/>
				<p/>
		</font>
			<p/>
		<xsl:call-template name="menu"/>
		<xsl:call-template name="std_space"/>
		<a name="glossario"/>
		<font color="navy"><h3>Glossrio</h3></font>
		<p/>
		<xsl:apply-templates select="glossario"/>
		<xsl:call-template name="std_space"/>
		<xsl:call-template name="menu"/>
		<xsl:call-template name="std_space"/>
		<a name="bibliografia"/>
		<font color="navy"><h3>Bibliografia</h3></font>
		<p/>
		<xsl:apply-templates select="bibliografia"/>
		<xsl:call-template name="std_space"/>
		<xsl:call-template name="menu"/>
		<xsl:call-template name="std_space"/>
		<xsl:if test="ir">
			<a name="ir"/>
			<font color="navy"><h3>Apndices</h3></font>
			<xsl:apply-templates select="ir"/>
			<xsl:call-template name="std_space"/>
			<xsl:call-template name="menu"/>
			<xsl:call-template name="std_space"/>
		</xsl:if>	
	</xsl:template>

	<!-- Glossrio -->	
	
	<xsl:template match="glossario">
			<xsl:apply-templates select="itemglo">
			<xsl:sort select="nome"/>
			</xsl:apply-templates>
	</xsl:template>
	
	<xsl:template match="itemglo">
	<br/>
	<b>
	<a name="{nome}"/>
	<xsl:value-of select="nome"/>
	<xsl:text>: </xsl:text>
	</b>
	<xsl:value-of select="descricao"/>
	<br/>
	</xsl:template>
	<!-- Bibliografia -->	
	
	<xsl:template match="bibliografia">
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="bibitem">
	<br/>
	<a name="{@id}"><b>[<xsl:value-of select="label"/>]</b></a>
		<xsl:text> - </xsl:text>
			<xsl:apply-templates select="descricao"/>
		<br/>
	</xsl:template>
	
	<xsl:template match="autores">
		<xsl:if test="autor/sobrenome">
			<xsl:value-of select="autor/sobrenome"/>
		<xsl:text>, </xsl:text>
		</xsl:if>
		<xsl:value-of select="autor/nome"/>
	</xsl:template>
	
	<!-- Pargrafo  -->
	
	<xsl:template match="para">
		<p>
		<xsl:apply-templates/>
		</p>
	</xsl:template>

	<xsl:template match="realce[@tipo='carregado']">
		<b>
			<xsl:value-of select="."/>
		</b>
	</xsl:template>
	<xsl:template match="realce[@tipo='italico']">
		<i>
			<xsl:value-of select="."/>
		</i>
	</xsl:template>
	<xsl:template match="figura">
		<br/>
		<br/>
		<center>
			<xsl:text>	</xsl:text>
			<xsl:value-of select="legenda"/>
			<br/>
			<br/>
			<img src="{imagem/@path}" alt="{legenda}" border="0" title="{legenda}"/>
			<xsl:text>	</xsl:text>
		</center>
		<br/><br/>
	</xsl:template>


	<xsl:template match="autor/foto">
		<center>
			<img src="{@path}"  height="150"/>
		</center>
	</xsl:template>	
	
	<xsl:template match="foto">
		<center>
			<img src="{@path}"  height="100"/>
		</center>
	</xsl:template>
	
	
	<xsl:template match="codigo">
		<br/>	
		<table width="100%" cellspacing="0" cellpadding="0" border="1" align="center">
			<td align="left" bgcolor="#F0F0F0">
					<pre>
					<xsl:apply-templates/>
					</pre>
			</td>
		</table>
		<br/>
	</xsl:template>

    <!-- LISTA  -->
    
	 <xsl:template match="lista[@tipo='normal']">
	 <ul>
	    <xsl:apply-templates /> 
	  </ul>
	 </xsl:template>
	 
	 <xsl:template match="lista[@tipo='numerada']">
	 <ol>
	    <xsl:apply-templates /> 
	  </ol>
	 </xsl:template>
	
	<!-- ITEM -->
	<xsl:template match="item">
	<li><xsl:apply-templates/></li>
	</xsl:template>
	  
	 <xsl:template match="listad">
	 <dl>
		 <xsl:for-each select="termo">
			 <dt><font color="blue"><b><xsl:value-of select="."/></b></font></dt>
			 <dd><xsl:apply-templates select="following-sibling::descricao[1]"/></dd>
		  </xsl:for-each>
	 </dl>
	 </xsl:template>
	  
	
	
	
	
	<xsl:template match="refglo">
		<a href="#{text()}">
		<xsl:apply-templates/>
		</a>	
	</xsl:template>

	<xsl:template match="xref">
			<a href="{url}">
				<xsl:value-of select="legenda"/>
			</a>
	</xsl:template>
	
	<!-- Templates invocadas por nome ************************************************************* -->
	<!-- Template que da um break line ****************************************************************************** -->
	<xsl:template name="one_space">
		<br/>
	</xsl:template>
	<xsl:template name="std_space">
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
	</xsl:template>
	<xsl:template name="EntidadeStyle">
		<td width="30%"><xsl:apply-templates select="foto"/></td>
		<td width="70%">
		<xsl:value-of select="nome"/>
		<xsl:text> </xsl:text>
		<xsl:value-of select="sobrenome"/>
		<br/>
		<xsl:if test="numero">
						<xsl:text> N. </xsl:text>
						<xsl:value-of select="numero"/>
						<xsl:call-template name="one_space"/>
					</xsl:if>
		<xsl:if test="curso">
						<xsl:value-of select="curso"/>
						<xsl:call-template name="one_space"/>
		</xsl:if>			
		<small>
			<a href="mailto:{email}">
				<xsl:value-of select="email"/>
			</a>
			<br/>
			<a href="{homepage}">
				<xsl:value-of select="homepage"/>
			</a>
		</small>
		</td>
		</xsl:template>
	<xsl:template name="menu">
		<font size="1">|
	<a href="#inicio">nicio</a>|
	<a href="#abertura">Abertura</a>|
	<a href="#prologo">Prlogo</a>|
	<a href="#indice">ndice</a>|
	<a href="#fecho">Fecho</a>|
	<a href="#glossario">Glossrio</a>|
	<a href="#bibliografia">Bibliografia</a>|
	<a href="#ir">Apndices</a>|
	</font>
	</xsl:template>
</xsl:stylesheet>
