<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/> 

<xsl:template match="dos:sumrios">
	<xsl:for-each select="dos:aula/@semana[not(.=../preceding-sibling::dos:aula/@semana)]">
		<xsl:sort select="." data-type="number" order="ascending"/>
		<xsl:variable name="semana" select="."/>
		<fo:block font-size="16pt" font-family="sans-serif" line-height="20pt" space-before.optimum="10pt" space-after.optimum="10pt" text-align="start" padding-top="3pt" color="navy" font-weight="bold" text-decoration="underline" keep-with-next="always">Semana <xsl:value-of select="$semana"/></fo:block>
		<fo:block start-indent="1cm"> 
			<xsl:apply-templates select="/dos:dossier/dos:sumrios/dos:aula[@semana=$semana]">
				<xsl:sort select="dos:data/dos:dia" order="ascending"/>
				<xsl:sort select="@tipo" order="ascending"/>
			</xsl:apply-templates>
		</fo:block>
	</xsl:for-each>
</xsl:template>
	
<xsl:template match="dos:aula">
	<fo:block font-size="14pt" font-family="sans-serif" line-height="18pt" space-before.optimum="4pt" space-after.optimum="3pt" text-align="start"  color="navy" keep-with-next="always">Aula n <xsl:number value="count(preceding-sibling::dos:aula)+1"/></fo:block>
	<fo:block font-size="12pt" font-family="sans-serif" line-height="15pt" space-after.optimum="10pt" text-align="start">
		<fo:table table-layout="fixed" width="16cm" padding-start="4pt" padding-end="4pt" padding-before="4pt" padding-after="4pt">
			<fo:table-column column-number="1" column-width="3cm"/>
			<fo:table-column column-number="2" column-width="13cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell vertical-align="middle">
						<fo:block font-weight="bold">Tipo</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block><xsl:value-of select="key('i-turnos',dos:turno-ref/@ref)/dos:nome"/></fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell vertical-align="middle">
						<fo:block font-weight="bold">Data</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block><xsl:value-of select="dos:data/dos:dia"/></fo:block>
					</fo:table-cell>
				</fo:table-row>
				<xsl:if test="dos:data/dos:horas">
					<fo:table-row>
						<fo:table-cell vertical-align="middle">
							<fo:block font-weight="bold">Hora</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block><xsl:value-of select="dos:data/dos:horas/dos:inicio"/>h-<xsl:value-of select="dos:data/dos:horas/dos:fim"/>h</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>	
				<xsl:if test="dos:docentes">
					<fo:table-row>
						<fo:table-cell vertical-align="middle">
							<fo:block font-weight="bold">Docente<xsl:if test="count(dos:docentes/dos:docente-ref)&gt;1">s</xsl:if></fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:for-each select="dos:docentes/dos:docente-ref">
									<xsl:value-of select="key('i-docentes',@ref)/dos:nome"/>
									<xsl:if test="count(following-sibling::dos:docente-ref)&gt;0">, </xsl:if>
								</xsl:for-each>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>	
				<fo:table-row>
					<fo:table-cell vertical-align="middle">
						<fo:block font-weight="bold">Sumrio</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block> <fo:leader leader-pattern="rule" rule-thickness="1pt" leader-length="90%" text-align="center"/></fo:block>
						<xsl:apply-templates select="dos:sumrio"/>
						<fo:block><fo:leader leader-pattern="rule" rule-thickness="1pt" leader-length="90%" text-align="center"/></fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</fo:block>
</xsl:template>


</xsl:stylesheet>



