<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:import href="modulo.xsl"/>
	<xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="yes"/>
	
	<xsl:key name="i-turnos" match="/dos:dossier/dos:apresentao/dos:turnos/dos:turno" use="@id"/>
	<xsl:key name="i-docentes" match="/dos:dossier/dos:apresentao/dos:equipa-docente/dos:docente" use="@id"/>

	<xsl:template match="dos:sumrios">
		<center>
			<font color="navy">
				<a name="topo"><h2>Sumrios</h2></a>
			</font>
			<hr/>
			<h5>
			<font color="navy">Semana : </font> 
				<xsl:for-each select="dos:aula/@semana[not(.=../preceding-sibling::dos:aula/@semana)]">
					<xsl:sort select="." data-type="number" order="ascending"/>
					<xsl:variable name="semana" select="."/>
					<a href="#sem{$semana}">
						<xsl:value-of select="$semana"/>
					</a>
					<xsl:if test="count(/dos:dossier/dos:sumrios/dos:aula[@semana=$semana][last()]/following-sibling::dos:aula) &gt; 0">
						<xsl:text>   |   </xsl:text>
					</xsl:if>
				</xsl:for-each>
			</h5>
		</center>
		<xsl:for-each select="dos:aula/@semana[not(.=../preceding-sibling::dos:aula/@semana)]">
			<xsl:sort select="." data-type="number" order="ascending"/>
			<xsl:variable name="semana" select="."/>
			<font color="navy">
				<h3>
					<a name="sem{$semana}">
						<u>Semana <xsl:value-of select="$semana"/>
						</u>
					</a>
				</h3>
			</font>
			<br/>
			<ul>
				<xsl:apply-templates select="/dos:dossier/dos:sumrios/dos:aula[@semana=$semana]">
					<xsl:sort select="dos:data/dos:dia" order="ascending"/>
					<xsl:sort select="@tipo" order="ascending"/>
				</xsl:apply-templates>
				<br/>
			</ul>
			<h5><a href="#topo">Topo...</a></h5>
			<hr/>
		</xsl:for-each>
	</xsl:template>
	

	<!-- Gerao do contedo -->

	<xsl:template match="dos:aula">
		<font color="navy">
		<h4>
		Aula n <xsl:number value="count(preceding-sibling::dos:aula)+1"/>
		</h4>
		</font>
		<table width="80%">
			<tbody>
				<tr>
					<td valign="middle" width="15%">
						<b>Tipo </b>
					</td>
					<td>
						<xsl:value-of select="key('i-turnos',dos:turno-ref/@ref)/dos:nome"/>
					</td>
				</tr>
				<tr>
					<td valign="middle">
						<b>Data </b>
					</td>
					<td>
						<xsl:value-of select="dos:data/dos:dia"/>
					</td>
				</tr>
				<xsl:if test="dos:data/dos:horas">
					<tr>
						<td valign="middle" width="15%">
							<b>Hora </b>
						</td>
						<td>
							<xsl:value-of select="dos:data/dos:horas/dos:inicio"/>h-<xsl:value-of select="dos:data/dos:horas/dos:fim"/>h
						</td>
					</tr>
				</xsl:if>
				<xsl:if test="dos:docentes">
					<tr>
						<td valign="middle" width="15%">
							<b>Docente<xsl:if test="count(dos:docentes/dos:docente-ref)&gt;1">s</xsl:if> </b>
						</td>
						<td>
							<xsl:for-each select="dos:docentes/dos:docente-ref">
								<xsl:value-of select="key('i-docentes',@ref)/dos:nome"/>
								<xsl:if test="count(following-sibling::dos:docente-ref)&gt;0">, </xsl:if>
							</xsl:for-each>
						</td>
					</tr>
				</xsl:if>
				<tr>
					<td valign="middle" width="15%">
						<b>Sumrio  </b>
					</td>
					<td>
						<hr/>
						<xsl:apply-templates select="dos:sumrio"/>
						<hr/>
					</td>
				</tr>
			</tbody>
		</table>
	</xsl:template>

</xsl:stylesheet>
