<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml" encoding="ISO-8859-1" omit-xml-declaration="no" indent="yes"/> 

 <xsl:template match="dos:turnos">
	<xsl:for-each select="dos:turno">
		<fo:block font-size="14pt" font-family="sans-serif" line-height="18pt" space-before.optimum="5pt" space-after.optimum="4pt" text-align="start"  color="navy" keep-with-next="always">Turno <xsl:number/></fo:block>
		<fo:block font-size="12pt" font-family="sans-serif" line-height="15pt" space-after.optimum="10pt" text-align="start">
		<fo:table width="9cm" table-layout="fixed" padding-start="4pt" padding-end="4pt" padding-before="4pt" padding-after="4pt">
			<fo:table-column column-number="1" column-width="3cm"/>
			<fo:table-column column-number="2" column-width="6cm"/>
			<fo:table-body>
				<fo:table-row >
					<fo:table-cell text-align="left">
						<fo:block font-weight="bold">Nome</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block><xsl:value-of select="dos:nome"/></fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row keep-together="always">
					<fo:table-cell text-align="left">
						<fo:block font-weight="bold">Tipo</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block><xsl:value-of select="dos:tipo"/></fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row keep-together="always">
					<fo:table-cell text-align="left">
						<fo:block font-weight="bold">Cursos</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>
							<xsl:for-each select="dos:cursos/dos:curso-ref">
									<xsl:value-of select="key('i-cursos',@ref)"/>
									<xsl:if test="count(following-sibling::dos:curso-ref) &gt; 0"> + </xsl:if>
							</xsl:for-each>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row keep-together="always">
					<fo:table-cell text-align="left">
						<fo:block font-weight="bold">Docentes</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>
							<xsl:for-each select="dos:docentes/dos:docente-ref">
								<xsl:value-of select="key('i-docentes',@ref)/dos:nome"/><xsl:text>
								</xsl:text>
							</xsl:for-each>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table> 
		</fo:block>
	</xsl:for-each>
</xsl:template> 

</xsl:stylesheet>
