<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dos="http://xml.di.uminho.pt/PED2004/dossier" xmlns:bib="http://xml.di.uminho.pt/PED2004/bibliografia" xmlns:prog="http://xml.di.uminho.pt/PED2004/programa" xmlns:txt="http://xml.di.uminho.pt/PED2004/texto" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:import href="modulo.xsl"/>
	<xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="yes"/>
	
	<xsl:key name="i-cursos" match="/dos:dossier/dos:apresentao/dos:identificao/dos:turmas/dos:turma/dos:curso" use="@id"/>
	<xsl:key name="i-docentes" match="/dos:dossier/dos:apresentao/dos:equipa-docente/dos:docente" use="@id"/>
	
	<xsl:template match="dos:turnos">
		<center>
			<font color="navy">
				<h2>Turnos</h2>
			</font>
		</center>
		<hr/>
		<xsl:apply-templates select="dos:turno"/>
	</xsl:template>
	
	<xsl:template match="dos:turno">
		<br/>
			<font color="navy">
			<h3>
				Turno <xsl:number/>
			</h3>
			</font>
			<table cellpadding="3">
				<tbody>
					<tr>
						<th align="left">Nome</th>
						<td>
							<xsl:value-of select="dos:nome"/>
						</td>
					</tr>
					<tr>
						<th align="left">Tipo</th>
						<td>
							<xsl:value-of select="dos:tipo"/>
						</td>
					</tr>
					<tr>
						<th align="left" valign="top">Cursos</th>
						<td>
							<xsl:for-each select="dos:cursos/dos:curso-ref">
								<xsl:value-of select="key('i-cursos',@ref)"/>
								<xsl:if test="count(following-sibling::dos:curso-ref) &gt; 0"> + </xsl:if>
							</xsl:for-each>
						</td>
					</tr>
					<tr>
						<th align="left" valign="top">Docentes</th>
						<td>
							<xsl:for-each select="dos:docentes/dos:docente-ref">
								<xsl:value-of select="key('i-docentes',@ref)/dos:nome"/>
								<br/>	
							</xsl:for-each>
						</td>
					</tr>
				</tbody>
			</table>
		<hr/>
	</xsl:template>
	
</xsl:stylesheet>
